//DO NOT USE AS A HULL, NONSOLID AND WILL CAUSE LEAKS
//See solid version for a safe, vis-blocking version
textures/snakes/pas_dirtmap
{
	qer_editorimage textures/snakes/pas_dirt_editor.tga
	surfaceparm nonsolid
	q3map_lightmapsamplesize 8
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/snakes/pas_dirt.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 1 1
	}
	{
		map textures/snakes/pas_dirtmapbase.tga
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcMod scale 1 1
	}
}

//Same as pas_dirtmap, except it blocks movement. Therefore it blocks vis, so it`s
//safe to use as a hull.
textures/snakes/pas_dirtmap_solid
{
	qer_editorimage textures/snakes/pas_dirt_editor.tga
	q3map_lightmapsamplesize 8
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/snakes/pas_dirt.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 1 1
	}
	{
		map textures/snakes/pas_dirtmapbase.tga
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcMod scale 1 1
	}
}

textures/snakes/pas_cliffmap
{
	qer_editorimage textures/snakes/pas_cliff_editor.tga
	q3map_lightmapsamplesize 8
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/snakes/pas_cliff1.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 1 1
	}
	{
		map textures/snakes/pas_cliffmapbase.tga
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcMod scale 1 1
	}
}

textures/snakes/mosiac
{
	qer_editorimage snakes/pas_mosiac.tga
	{
		map textures/effects/envmap2.tga
		blendfunc add
		tcGen environment 
	}
	{
		map textures/snakes/pas_mosiac.tga
		blendfunc filter
	}
}

textures/snakes/pgrate3_nonsolid
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/base_floor/proto_grate3.tga
		alphaFunc GE128
	}
}

textures/snakes/teleporter
{
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 200
	{
		map textures/snakes/pas_fuzzeffect.tga
		blendfunc add
		tcMod scroll -0.1 -0.1
	}
}

//q3map2 capabilities built-in
textures/snakes/evening_q3map2
{
	qer_editorimage textures/skies/inteldimclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 90
	q3map_globaltexture
	q3map_sun 0.16 0.128 0.096 80 300 60
	skyParms - 1024 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendfunc add
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/snakes/green_jumppad
{
	qer_editorimage textures/sfx/bouncepad01_block17.tga
	surfaceparm nomarks
	nopicmip
	q3map_surfacelight 400
	{
		map textures/ctf_unified/bounce_base.tga
		alphaFunc GE128
	}
	{
		map textures/snakes/bounce_glow_green.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/snakes/bounce_fx_green.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/snakes/green_launchpad
{
	qer_editorimage textures/sfx/launchpad_blocks18d.tga
	surfaceparm nomarks
	nopicmip
	q3map_surfacelight 400
	{
		map textures/sfx/launchpad_blocks18d.tga
	}
	{
		map textures/snakes/lpad_dot_green.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
	{
		animmap 4 textures/snakes/lpad_arrow_green.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga 
		blendfunc add
		tcMod scroll 0 2
	}
}

textures/snakes/chartres
{
	surfaceparm trans
	{
		map textures/snakes/pas_mosiac2.tga
		blendfunc filter
	}
}

textures/snakes/methodarch_ns_nocull
{
	qer_editorimage textures/method/trim5.tga
	surfaceparm nonsolid
	cull disable
	{
		map textures/method/trim5.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/snakes/mygreenflag
{
	qer_editorimage textures/snakes/greenflag.tga
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes bulge 0.5 0.5 1
	{
		map textures/snakes/greenmap.tga
		tcMod scroll 0.5 0.5
		tcGen environment 
	}
	{
		map textures/snakes/greenflag.tga
		blendfunc blend
	}
}

//Swelt`s Quake Live "Phrantic" Slime
textures/snakes/darkslime
{
	qer_editorimage textures/liquids/proto_gruel2.tga
	q3map_lightimage textures/liquids/slime7.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	cull disable
	deformVertexes wave 100 sin 1 2 0 0.5 
	tessSize 64
	qer_trans 0.75
	q3map_surfacelight 30
	q3map_globaltexture
	{
		map textures/liquids/pool3d_5c2.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod scroll -0.05 0.001
	}
	{
		map textures/liquids/pool3d_6c2.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.001
	}
	{
		map textures/liquids/pool3d_3c2.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.25 0.5
		tcMod scroll 0.001 0.025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.125 0.125
	}
}

textures/snakes/greenfog
{
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.113725 0.14902 0.0901961 ) 100
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.1 0.1
		tcMod scale -0.05 -0.05
	}
}

textures/snakes/flare
{
	qer_editorimage textures/sanctum/flare.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		clampmap textures/sanctum/flare.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 10
	}
}

// Dirt shader with DotProduct Terrain Blending technology + dirtmap
textures/snakes/dirtblend
{
   qer_editorimage textures/snakes_terra/snakes_dirt.tga
   q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
   {
      map textures/snakes/pas_dirt.tga
      rgbGen identity
   }
   {
      map textures/snakes/pas_dirtmapbase.tga
      blendfunc gl_dst_color gl_src_color
      rgbGen identity
      tcMod scale 1 1
   }
   {
      map textures/terblend_soc/ter_moss2.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen vertex
      rgbGen identity
   }
   {
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

wrack_statue
{
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map models/players/ranger/wrack_statue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/snakes/blic_branch
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 256 sin 0 0.5 0 0.3 
	tessSize 512
	{
		map textures/blic_models/branch.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/snakes/soc_grass01d
{
	qer_editorimage textures/plants_soc/grass01d.tga
	q3map_cloneShader textures/plants_soc/grass01d_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/plants_soc/grass01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/grass01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_grass01d_back
{
	qer_editorimage textures/plants_soc/grass01d.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/plants_soc/grass01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/grass01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine01
{
	qer_editorimage textures/plants_soc/vine01.tga
	q3map_cloneShader textures/plants_soc/vine01_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine01_back
{
	qer_editorimage textures/plants_soc/vine01.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine02
{
	qer_editorimage textures/plants_soc/vine02.tga
	q3map_cloneShader textures/plants_soc/vine02_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine02_back
{
	qer_editorimage textures/plants_soc/vine02.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine05
{
	qer_editorimage textures/plants_soc/vine05.tga
	q3map_cloneShader textures/plants_soc/vine05_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine05_back
{
	qer_editorimage textures/plants_soc/vine05.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine06
{
	qer_editorimage textures/plants_soc/vine06.tga
	q3map_cloneShader textures/plants_soc/vine06_back
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/soc_vine06_back
{
	qer_editorimage textures/plants_soc/vine06.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/snakes/flare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nolightmap

	{
		clampmap textures/sanctum/flare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}

}

textures/snakes/weapfloor_green
{
	qer_editorimage textures/battleg/weapfloor_1.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/battleg/weapfloor_fx_green.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/battleg/weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/battleg/weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}